local Transition = {
    canvas = love.graphics.newCanvas()
}

function Transition:start()

    love.graphics.setCanvas(self.canvas)

        love.graphics.clear()
        Gamestate.draw()

    love.graphics.setCanvas()

    self.alpha_shade = 1
    self.isPlaying = true

end

function Transition:update(dt)
    self.alpha_shade = self.alpha_shade - dt
    if self.alpha_shade <= 0 then
        self.isPlaying = false
    end
end

function Transition:draw()
    love.graphics.setColor(1,1,1,self.alpha_shade)
    love.graphics.draw(self.canvas)
    love.graphics.setColor(1,1,1)
end

return Transition
